Bug 236834 - www/caddy: Update to 0.11.5
Summary: www/caddy: Update to 0.11.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-27 19:46 UTC by Mohamed Akram
Modified: 2019-04-05 17:51 UTC (History)
3 users (show)

See Also:
fabian.freyer: maintainer-feedback+


Attachments
patch file (1.58 KB, patch)
2019-04-01 15:32 UTC, Dmitri Goutnik
dmgk: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mohamed Akram 2019-03-27 19:46:53 UTC

    
Comment 1 Rodrigo Osorio freebsd_committer 2019-03-31 17:11:13 UTC
Hi Mohamed,

The upgrade require more than a simple version upgrade so feel free
to provide a patch if you succeed performing the upgrade.

All the best
- rodrigo
Comment 2 Dmitri Goutnik freebsd_committer 2019-04-01 15:32:49 UTC
Created attachment 203300 [details]
patch file

- Update 0.11.1 -> 0.11.5

QA:
  poudriere testport: OK (112a, 112i, 120a)
Comment 3 Rodrigo Osorio freebsd_committer 2019-04-01 15:50:33 UTC
Looks good to me, waiting for maintainer feedback.
Comment 4 Fabian Freyer 2019-04-03 21:52:46 UTC
Thanks for the patch!
Comment 5 Rodrigo Osorio freebsd_committer 2019-04-05 17:50:52 UTC
Committed, thanks
Comment 6 commit-hook freebsd_committer 2019-04-05 17:51:14 UTC
A commit references this bug:

Author: rodrigo
Date: Fri Apr  5 17:50:32 UTC 2019
New revision: 497975
URL: https://svnweb.freebsd.org/changeset/ports/497975

Log:
  Upgrade www/caddy from v0.11.1 to vO.11.5

  Changelogs:
    * https://github.com/mholt/caddy/releases/tag/v0.11.5
    * https://github.com/mholt/caddy/releases/tag/v0.11.4
    * https://github.com/mholt/caddy/releases/tag/v0.11.3
    * https://github.com/mholt/caddy/releases/tag/v0.11.2

  PR:		236834
  Submitted by:	Mohamed Akram <mohd.akram@outlook.com>
  Approved by:	Fabian Freyer <fabian.freyer@physik.tu-berlin.de> (maintainer)

Changes:
  head/www/caddy/Makefile
  head/www/caddy/distinfo
  head/www/caddy/files/extra-patch-disable-telemetry